##
# Copyright 2015 Telefónica Investigación y Desarrollo, S.A.U.
# This file is part of openmano
# All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
#
# For those usages not covered by the Apache License, Version 2.0 please
# contact with: nfvlabs@tid.es
##
---
vnf:
    name: vnf_additional_disk_empty_volume
    description: VNF with additional volume based on image
    # class: parent      # Optional. Used to organize VNFs
    external-connections:
    -   name:              mgmt0
        type:              mgmt        # "mgmt" (autoconnect to management net), "bridge", "data"
        VNFC:              TEMPLATE-VM # Virtual Machine this interface belongs to
        local_iface_name:  mgmt0       # interface name inside this Virtual Machine (must be defined in the VNFC section)
        description:       Management interface
    VNFC:                              # Virtual machine array 
    -   name:        TEMPLATE-VM       # name of Virtual Machine
        description: TEMPLATE description
#        VNFC image: /path/to/imagefolder/TEMPLATE-VM.qcow2
        image name: ubuntu16.04
        image checksum: 7373edba82a31eedd182d29237b746cf
        # image metadata: {"bus":"ide", "os_type":"windows", "use_incremental": "no" } #Optional
        # processor:                     #Optional
        #     model: Intel(R) Xeon(R) CPU E5-4620 0 @ 2.20GHz
        #     features: ["64b", "iommu", "lps", "tlbps", "hwsv", "dioc", "ht"]
        # hypervisor:                    #Optional
        #     type: QEMU-kvm
        #     version: "10002|12001|2.6.32-358.el6.x86_64"
        vcpus: 1          # Only for traditional cloud VMs. Number of virtual CPUs (oversubscription is allowed).
        ram: 1000         # Only for traditional cloud VMs. Memory in MBytes (not from hugepages, oversubscription is allowed)
        disk: 5          # disk size in GiB, by default 1
        #numas: 
        #-   paired-threads: 5          # "cores", "paired-threads", "threads"
        #    paired-threads-id: [ [0,1], [2,3], [4,5], [6,7], [8,9] ] # By default follows incremental order
        #    memory: 14                 # GBytes
        #    interfaces: []
        bridge-ifaces:
        -   name:      mgmt0
            vpci:      "0000:00:0a.0"    # Optional. Virtual PCI address
            bandwidth: 1 Mbps            # Optional. Informative only
            # mac_address: '20:33:45:56:77:46' #avoid this option if possible
            # model:       'virtio'      # ("virtio","e1000","ne2k_pci","pcnet","rtl8139") By default, it is automatically filled by libvirt
        devices:                       # Optional, order determines device letter asignation (hda, hdb, ...)
        -   type:      disk            # "disk","cdrom","xml"
            size: 1
            # image metadata: {"bus":"ide", "os_type":"windows", "use_incremental": "no" }
            # vpci:      "0000:00:03.0"   # Optional, not for disk or cdrom
    # Additional Virtual Machines would be included here

